Skip to main content
GET
/
alpha
/
public
/
auctions
/
{slug}
Get public auction by slug
curl --request GET \
  --url https://api.auctionnow.io/api/alpha/public/auctions/{slug}
{
  "data": {
    "_id": "<string>",
    "_creationTime": 123,
    "title": "<string>",
    "description": "<string>",
    "slug": "<string>",
    "handle": "<string>",
    "startingPrice": 123,
    "bidIncrement": 123,
    "startTime": 123,
    "endTime": 123,
    "shippingCostUS": 123,
    "shippingCostInternational": 123,
    "status": "Active",
    "productType": "PHYSICAL",
    "images": [
      {
        "_id": "<string>",
        "url": "<string>"
      }
    ],
    "numberOfBids": 123,
    "merchant": {
      "handle": "<string>",
      "shopName": "<string>"
    },
    "currentBidAmount": 123,
    "binAble": true,
    "binAmount": 123,
    "details": {}
  },
  "timestamp": 123,
  "message": "<string>"
}

Path Parameters

slug
string
required

The auction's unique slug

Response

Auction detail

data
object
required

Auction detail

timestamp
number
required
message
string